POSTVoteWitnessAccount

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/votewitnessaccount

Vote for super representatives

Request Body
owner_addressstringrequired

Transaction initiator address. (Format: Base58 or Hex)

vote_addressstringrequired

an SR address, for example, TUtzEvZRqVoNr4ifVyGTnVcyDUpWsrXkJ3.

vote_countinteger (int32)required

vote count must be greater than 0.

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
owner_addressstring

Transaction initiator address. (Format: Base58 or Hex)

votesVote[]

List of Vote objects, each containing vote_address (SR address) and vote_count (number of votes).

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/votewitnessaccount" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "votes": [
    {
      "vote_address": "TJvaAeFb8Lykt9RQcVyyTFN2iDvGMuyD4M",
      "vote_count": 1
    }
  ],
  "visible": true
}'
Response
Example · 200
{
  "owner_address": "string"
}